<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionUnmountBarbedWire Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d21/class_action_unmount_barbed_wire.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionUnmountBarbedWire Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionUnmountBarbedWire:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d5/d21/class_action_unmount_barbed_wire.png" usemap="#ActionUnmountBarbedWire_map" alt=""/>
  <map id="ActionUnmountBarbedWire_map" name="ActionUnmountBarbedWire_map">
<area href="../../d6/d3f/class_action_continuous_base.html" alt="ActionContinuousBase" shape="rect" coords="0,0,163,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a51da42cd3fd00ea02dbcdd7858537ed9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d21/class_action_unmount_barbed_wire.html#a51da42cd3fd00ea02dbcdd7858537ed9">ActionUnmountBarbedWire</a> ()</td></tr>
<tr class="separator:a51da42cd3fd00ea02dbcdd7858537ed9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0167ae80ab954b5860bd97b05982568e"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d21/class_action_unmount_barbed_wire.html#a0167ae80ab954b5860bd97b05982568e">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a0167ae80ab954b5860bd97b05982568e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b29099f602b73ea375c9a3e41abe23d"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d21/class_action_unmount_barbed_wire.html#a4b29099f602b73ea375c9a3e41abe23d">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a4b29099f602b73ea375c9a3e41abe23d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2443a4a69bb4111579259996f483ff5c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d21/class_action_unmount_barbed_wire.html#a2443a4a69bb4111579259996f483ff5c">OnFinishProgressServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a2443a4a69bb4111579259996f483ff5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe7232bb55d67514d120f6a11ea03171"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d21/class_action_unmount_barbed_wire.html#afe7232bb55d67514d120f6a11ea03171">GetAdminLogMessage</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:afe7232bb55d67514d120f6a11ea03171"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a00021d26420ac2de81ad9ad5ef19b8d2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d21/class_action_unmount_barbed_wire.html#a00021d26420ac2de81ad9ad5ef19b8d2">m_DamageAmount</a></td></tr>
<tr class="separator:a00021d26420ac2de81ad9ad5ef19b8d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a087a364227f07d5069037ca7306ed5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d21/class_action_unmount_barbed_wire.html#a7a087a364227f07d5069037ca7306ed5">m_SlotName</a></td></tr>
<tr class="separator:a7a087a364227f07d5069037ca7306ed5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d3/de7/_action_un_mount_barbed_wire_8c_source.html#l00009">9</a> of file <a class="el" href="../../d3/de7/_action_un_mount_barbed_wire_8c_source.html">ActionUnMountBarbedWire.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a51da42cd3fd00ea02dbcdd7858537ed9" name="a51da42cd3fd00ea02dbcdd7858537ed9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51da42cd3fd00ea02dbcdd7858537ed9">&#9670;&#160;</a></span>ActionUnmountBarbedWire()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionUnmountBarbedWire::ActionUnmountBarbedWire </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/de7/_action_un_mount_barbed_wire_8c_source.html#l00014">14</a> of file <a class="el" href="../../d3/de7/_action_un_mount_barbed_wire_8c_source.html">ActionUnMountBarbedWire.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a4b29099f602b73ea375c9a3e41abe23d" name="a4b29099f602b73ea375c9a3e41abe23d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b29099f602b73ea375c9a3e41abe23d">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionUnmountBarbedWire::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/de7/_action_un_mount_barbed_wire_8c_source.html#l00032">32</a> of file <a class="el" href="../../d3/de7/_action_un_mount_barbed_wire_8c_source.html">ActionUnMountBarbedWire.c</a>.</p>

</div>
</div>
<a id="a0167ae80ab954b5860bd97b05982568e" name="a0167ae80ab954b5860bd97b05982568e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0167ae80ab954b5860bd97b05982568e">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionUnmountBarbedWire::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/de7/_action_un_mount_barbed_wire_8c_source.html#l00026">26</a> of file <a class="el" href="../../d3/de7/_action_un_mount_barbed_wire_8c_source.html">ActionUnMountBarbedWire.c</a>.</p>

</div>
</div>
<a id="afe7232bb55d67514d120f6a11ea03171" name="afe7232bb55d67514d120f6a11ea03171"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe7232bb55d67514d120f6a11ea03171">&#9670;&#160;</a></span>GetAdminLogMessage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ActionUnmountBarbedWire::GetAdminLogMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/de7/_action_un_mount_barbed_wire_8c_source.html#l00076">76</a> of file <a class="el" href="../../d3/de7/_action_un_mount_barbed_wire_8c_source.html">ActionUnMountBarbedWire.c</a>.</p>

</div>
</div>
<a id="a2443a4a69bb4111579259996f483ff5c" name="a2443a4a69bb4111579259996f483ff5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2443a4a69bb4111579259996f483ff5c">&#9670;&#160;</a></span>OnFinishProgressServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionUnmountBarbedWire::OnFinishProgressServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/de7/_action_un_mount_barbed_wire_8c_source.html#l00065">65</a> of file <a class="el" href="../../d3/de7/_action_un_mount_barbed_wire_8c_source.html">ActionUnMountBarbedWire.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a00021d26420ac2de81ad9ad5ef19b8d2" name="a00021d26420ac2de81ad9ad5ef19b8d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00021d26420ac2de81ad9ad5ef19b8d2">&#9670;&#160;</a></span>m_DamageAmount</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> ActionUnmountBarbedWire::m_DamageAmount</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/de7/_action_un_mount_barbed_wire_8c_source.html#l00011">11</a> of file <a class="el" href="../../d3/de7/_action_un_mount_barbed_wire_8c_source.html">ActionUnMountBarbedWire.c</a>.</p>

</div>
</div>
<a id="a7a087a364227f07d5069037ca7306ed5" name="a7a087a364227f07d5069037ca7306ed5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a087a364227f07d5069037ca7306ed5">&#9670;&#160;</a></span>m_SlotName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ActionUnmountBarbedWire::m_SlotName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/de7/_action_un_mount_barbed_wire_8c_source.html#l00012">12</a> of file <a class="el" href="../../d3/de7/_action_un_mount_barbed_wire_8c_source.html">ActionUnMountBarbedWire.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/<a class="el" href="../../d3/de7/_action_un_mount_barbed_wire_8c_source.html">ActionUnMountBarbedWire.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/d21/class_action_unmount_barbed_wire.html">ActionUnmountBarbedWire</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
